package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 高级配置基础表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysAdvancedConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 高级配置id
     */
    @TableId(value = "advanced_config_id", type = IdType.AUTO)
    private Integer advancedConfigId;

    /**
     * 高级配置名称
     */
    private String advancedConfigName;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 是否有权限
     */
    @TableField(exist = false)
    private Boolean hasRights;
}
