package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 高级配置对应关系表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysAdvancedConfigRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 对应关系id
     */
    @TableId(value = "relation_id", type = IdType.AUTO)
    private Integer relationId;

    /**
     * 对应类型 menu菜单btn按钮
     */
    private String targetType;

    /**
     * 对应类型的id menuId或btnId
     */
    private String targetId;

    /**
     * 高级配置id
     */
    private Integer advancedConfigId;
}
