package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 房源表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaHousingResources implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 房源id
     */
    @TableId(value = "house_id", type = IdType.AUTO)
    private Integer houseId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 楼盘名称
     */
    private String buildingName;

    /**
     * 楼栋 与楼盘区分
     */
    private Integer blockId;

    /**
     * 楼栋名称
     */
    private String blockName;

    /**
     * 销售批次id
     */
    private Integer salesBatchId;

    /**
     * 单元id
     */
    private Integer unitId;

    /**
     * 单元名称
     */
    private String unitName;

    /**
     * 层id
     */
    private Integer floorId;

    /**
     * 楼层名称
     */
    private String floorName;

    /**
     * 房号id
     */
    private Integer roomId;

    /**
     * 房间名称
     */
    private String roomName;

    /**
     * 期id
     */
    private Integer termId;

    /**
     * 期名称
     */
    private String termName;

    /**
     * 价格
     */
    private BigDecimal price;

    /**
     * 基础热度
     */
    private Integer heat;

    /**
     * 实际热度
     */
    private Integer realHeat;

    /**
     * 户型id
     */
    private String apartmentId;

    /**
     * 户型名称
     */
    @TableField(exist = false)
    private String apartmentName;

    @TableField(exist = false)
    private Double insideArea;

    @TableField(exist = false)
    private Double buildingArea;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 更新时间
     */
    private LocalDateTime updateDate;

    /**
     * 房源锁定状态
     */
    private String houseLockingStatus;

    /**
     * 认筹基础热度
     */
    private Integer raiseHeat;

    /**
     * 认筹实际热度
     */
    private Integer raiseRealHeat;

    private Integer updateUser;

    @TableField(exist = false)
    private String updateName;

    @TableField(exist = false)
    private List<TaHousingResources> houseIdList;

    /**
     * 我的锁定
     */
    @TableField(exist = false)
    private String mineLocked;
}
