package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author jobob
 * @since 2020-02-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaLiveActivity implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 直播活动id
     */
    @TableId(value = "live_activity_id", type = IdType.AUTO)
    private Integer liveActivityId;

    /**
     * 直播活动标题
     */
    private String liveActivityTitle;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 所属城市
     */
    @TableField(strategy = FieldStrategy.IGNORED)
    private Integer cityId;

    /**
     * 所属楼盘
     */
    @TableField(strategy = FieldStrategy.IGNORED)
    private String buildingId;

    /**
     * 直播小程序
     */
    private String liveApp;

    /**
     * 房间参数
     */
    private String liveRoomParam;

    /**
     * 封面图1
     */
    private String listImg;

    /**
     * 封面图2
     */
    private String detailImg;

    /**
     * 详情类型 0是模板，1是自定义
     */
    private String liveDetailType;

    /**
     * 详情图
     */
    private String detailTypeImg;

    /**
     * 访问人数
     */
    private Integer visitNum;

    /**
     * 状态
     */

    private Integer status;

    /**
     * 二维码
     */
    private String qrCode;

    /**
     * 直播开始时间
     */
    private String liveStartDate;

    /**
     * 直播结束时间
     */
    private String liveEndDate;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 创建人
     */
    private String createUser;

    /**
     * 修改时间
     */
    private LocalDateTime updateDate;

    /**
     * 修改人
     */
    private String updateUser;

    /**
     * 权重
     */
    private Integer weight;

    @TableField(exist = false)
    private List<TaPoster> posters;

    @TableField(exist = false)
    private List<TaShareContent> shareContents;

    @TableField(exist = false)
    private String buildingName;

    @TableField(exist = false)
    private String cityName;

    /**
     * 直播app名称
     */
    @TableField(exist = false)
    private String liveAppName;

    /**
     * 直播app小程序appid
     */
    @TableField(exist = false)
    private String liveAppAppId;

    private String liveAppPath;

    @TableField(exist = false)
    private String createName;

    @TableField(exist = false)
    private String updateName;
}
