package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 小程序主题设置
 * </p>
 *
 * @author yansen
 * @since 2020-02-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaMiniappTheme implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主题ID
     */
    @TableId(value = "theme_id", type = IdType.AUTO)
    private Integer themeId;

    /**
     * 主题名称
     */
    private String themeTitle;

    /**
     * 启用时间 格式MM-DDTHH24:MI
     */
    private String startTime;

    /**
     * 停用时间 格式MM-DDTHH24:MI
     */
    private String endTime;

    /**
     * 导航前景颜色
     */
    private String naviFrontColor;

    /**
     * 导航背景颜色
     */
    private String naviBackColor;

    /**
     * TabBar前景颜色
     */
    private String tabbarFrontColor;

    /**
     * TabBar背景颜色
     */
    private String tabbarBackColor;

    /**
     * TabBar选择色
     */
    private String tabbarSelectColor;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 修改人
     */
    private Integer modifyUser;

    /**
     * 修改时间
     */
    private LocalDateTime modifyDate;

    /**
     * 导航图标列表
     */
    @TableField(exist = false)
    private List<TaMiniappOrgIcon> iconList;
}
