package com.huiju.estateagents.entity;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 分享海报表 
 * </p>
 *
 * @author jobob
 * @since 2019-09-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_poster")
public class TaPoster implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 海报id
     */
    @TableId(value = "poster_id", type = IdType.AUTO)
    private Integer posterId;

    /**
     * 目标id
     */
    private String targetId;

    private String targetType;

    /**
     * 海报模板
     */
    private String posterModel;

    /**
     * 海报图片
     */
    private String posterImg;

    /**
     * 海报标题
     */
    private String posterTitle;

    /**
     * 海报描述
     */
    private String posterDescription;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    @TableField(exist = false)
    private List<Integer> templateIds = new ArrayList<>();

    @TableField(exist = false)
    private List<TdPosterTemplate> templates;
}
