package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 预选表
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPreselection implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 预选id
     */
    @TableId(value = "preselection_id", type = IdType.AUTO)
    private Integer preselectionId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 销售批次id
     */
    private Integer salesBatchId;

    /**
     * 预选开始时间
     */
    private String preselectionStartTime;

    /**
     * 预选结束时间
     */
    private String preselectionEndTime;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 项目id
     */
    private String buildingId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 出售房源数
     */
    @TableField(exist = false)
    private Integer salesNumber;

    /**
     * 楼盘名
     */
    @TableField(exist = false)
    private String buildingName;

    /**
     * 销售批次名
     */
    @TableField(exist = false)
    private String salesBatchName;

    /**
     * 备注
     */
    @TableField(exist = false)
    private String remark;

    /**
     * 二维码
     */
    @TableField(exist = false)
    private String qrCode;

    /**
     * 预选实际热度
     */
    @TableField(exist = false)
    private Integer realHeat;

    /**
     * 预选实际热度
     */
    @TableField(exist = false)
    private Integer preNum;

    /**
     * 销售批次状态
     */
    @TableField(exist = false)
    private Integer salesBatchStatus;
}
