package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 预选记录表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPreselectionRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 预选记录id
     */
    @TableId(value = "preselection_record_id", type = IdType.AUTO)
    private Integer preselectionRecordId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 更新时间
     */
    private String updateDate;

    /**
     * 房源id
     */
    private Integer houseId;

    /**
     * 小程序用户id
     */
    private String personId;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 更新人
     */
    private Integer updateUser;

    /**
     * 销售批次id
     */
    private Integer salesBatchId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 预选idtaSalesBatch
     */
    private String preselectionId;
}
