package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 认筹单与房源关系表 
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaRaiseHouse implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 认筹单下的房源id
     */
    @TableId(value = "raise_house_id", type = IdType.AUTO)
    private Integer raiseHouseId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 认筹单id
     */
    private Integer raiseRecordId;

    /**
     * 房源id
     */
    private Integer houseId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 锁定状态 locked已锁定unlocked未锁定
     */
    private String houseLockingStatus;

    /**
     * 锁定人id
     */
    private String personId;

    /**
     * 锁定人姓名
     */
    private String personName;


}
