package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * <p>
 * 销售批次表
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaSalesBatch implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 销售批次id
     */
    @TableId(value = "sales_batch_id", type = IdType.AUTO)
    private Integer salesBatchId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 销售批次名称
     */
    private String salesBatchName;

    /**
     * 出售房源数
     */
    private Integer salesNumber;

    /**
     * 预选开始时间
     */
    private String preselectionStartTime;

    /**
     * 预选结束时间
     */
    private String preselectionEndTime;

    /**
     * 发布状态
     */
    private Integer status;

    /**
     * 修改时间
     */
    private LocalDateTime updateTime;

    /**
     * 分栋鸟瞰图
     */
    private String aerialViewImg;

    /**
     * 备注 涉及楼栋
     */
    private String remark;

    /**
     * 房源列表二维码
     */
    private String qrCode;

    /**
     * 项目名称
     */
    @TableField(exist = false)
    private String buildingName;

    @TableField(exist = false)
    private List<TaPoster> posters;

    @TableField(exist = false)
    private List<TaShareContent> shareContents;

    /**
     * 是否展示房源价格
     */
    private Boolean displayHousePrice;

    /**
     * V3.5.12 新增
     */

    /**
     * 认筹id
     */
    @TableField(exist = false)
    private Integer raiseId;

    /**
     * 认筹状态
     */
    @TableField(exist = false)
    private Integer raiseStaus;

    /**
     * 锁房方式 auto自动锁房，manual手动锁房
     */
    @TableField(exist = false)
    private String houseLockingType;

    /**
     * 认筹开始时间
     */
    @TableField(exist = false)
    private LocalDateTime raiseStartTime;

    /**
     * 认筹结束时间
     */
    @TableField(exist = false)
    private LocalDateTime raiseEndTime;

    /**
     * 认筹金额 单位是分！
     */
    @TableField(exist = false)
    private Integer raisePrice;

    /**
     * 缴费方式 onLine线上offLine线下
     */
    @TableField(exist = false)
    private String payType;

    /**
     * 认筹数量
     */
    @TableField(exist = false)
    private Integer raiseCount;

    /**
     * 预选数量
     */
    @TableField(exist = false)
    private Integer preselectCount;
}
