package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 微信支付设置 
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaWxPayConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 微信配置id
     */
    @TableId(value = "wx_pay_config_id", type = IdType.AUTO)
    private Integer wxPayConfigId;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 楼盘id
     */
    private String buildingId;

    /**
     * 微信支付商户号
     */
    private String mchId;

    /**
     * API密钥
     */
    private String appid;

    /**
     * Appsecret
     */
    private String secret;

    /**
     * 商户key
     */
    private String mchKey;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * api证书路径
     */
    private String apiPath;
}
