package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.estateagents.entity.TaPersonBuilding;
import com.huiju.estateagents.entity.TaRaise;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * <p>
 * 认筹表  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
@Mapper
@Component
public interface TaRaiseMapper extends BaseMapper<TaRaise> {

    IPage<TaRaise> listRaiseByCondition(IPage<TaRaise> page,
                                        @Param("salesBatchName") String salesBatchName,
                                        @Param("buildingId") String buildingId,
                                        @Param("orgId") Integer orgId,
                                        @Param("status") Integer status,
                                        @Param("personBuildingList") List<TaPersonBuilding> personBuildingList);

    TaRaise getRaiseById(@Param("id") Integer id, @Param("orgId") Integer orgId);
}
