package com.huiju.estateagents.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huiju.estateagents.entity.TaSharePersonFrom;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *   Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-10-08
 */
@Mapper
public interface TaSharePersonFromMapper extends BaseMapper<TaSharePersonFrom> {
    Integer countViewNum(@Param("userId") Integer userId, @Param("orgId")Integer orgId, @Param("personId")String personId, @Param("startCreateDate") String startCreateDate, @Param("endCreateDate") String endCreateDate);

    /**
     * 查询房源访问记录
     * @param page
     * @param orgId
     * @param personType
     * @param sceneType
     * @param phone
     * @param saleBatchId
     * @return
     */
    List<TaSharePersonFrom> selectHouseVisitList(Page page, @Param("orgId") Integer orgId, @Param("personType") String personType, @Param("sceneType")String sceneType, @Param("phone")String phone, @Param("saleBatchId")String saleBatchId);

    /**
     * 查询直播活动访问记录
     * @param page
     * @param orgId
     * @param personType
     * @param sceneType
     * @param phone
     * @param liveActivityId
     * @return
     */
    List<TaSharePersonFrom> selectLiveActivityVisitList(Page page, @Param("orgId") Integer orgId, @Param("personType") String personType, @Param("sceneType")String sceneType, @Param("phone")String phone, @Param("liveActivityId")String liveActivityId);

}
