package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaLiveActivity;
import com.huiju.estateagents.entity.TaPersonBuilding;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author jobob
 * @since 2020-02-20
 */
public interface ITaLiveActivityService extends IService<TaLiveActivity> {

    /**
     * 保存数据
     *
     * @param taLiveActivity
     * @return
     */
    ResponseBean taLiveActivityAdd(TaLiveActivity taLiveActivity);

    /**
     * 条件查询直播活动列表
     *
     * @param liveDetailType
     * @param pageNum
     * @param pageSize
     * @param orgId
     * @param liveActivityTitle
     * @param cityId
     * @param buildingId
     * @param status
     * @param taPersonBuildingListByUserId
     * @return
     */
    IPage<TaLiveActivity> listLiveActivityByCondition(Integer pageNum, Integer pageSize, Integer orgId, String liveActivityTitle,
                                                      String cityId, String buildingId, Integer status, List<TaPersonBuilding> taPersonBuildingListByUserId);

    /**
     * 访问量自增
     *
     * @param id
     * @return
     */
    ResponseBean addVisitNum(String id);

    /**
     * 获取直播活动详情
     *
     * @param id
     * @return
     */
    ResponseBean getLiveActivityDetailById(String id,Integer orgId);

    ResponseBean delLiveActivityList(Integer orgId, List<TaLiveActivity> liveActivityList);
}
