package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPersonBuilding;
import com.huiju.estateagents.entity.TaRaise;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * <p>
 * 认筹表  服务类
 * </p>
 *
 * @author jobob
 * @since 2020-02-26
 */
public interface ITaRaiseService extends IService<TaRaise> {

    /**
     * 获取销售批次列表 - 认筹
     *
     * @param pageSize
     * @param pageNum
     * @param salesBatchName
     * @param buildingId
     * @param orgId
     * @param status
     * @return
     */
    ResponseBean listRaiseByCondition(Integer pageSize, Integer pageNum, String salesBatchName, String buildingId,
                                      Integer orgId, Integer status, List<TaPersonBuilding> taPersonBuildingListByUserId);

    /**
     * 批量删除
     *
     * @param taRaiseList
     * @param orgId
     * @return
     */
    ResponseBean batchDelete(List<TaRaise> taRaiseList, Integer orgId);

    /**
     * @param id
     * @param orgId
     * @return
     */
    ResponseBean getRaiseById(Integer id, Integer orgId);

    /**
     *
     * @param raiseId
     * @param raiseRecordId
     * @param salesBatchId
     * @param personId
     * @return
     */
    TaRaise getRaiseProfile(Integer raiseId, Integer raiseRecordId, Integer salesBatchId, String personId);
}
