package com.huiju.estateagents.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.entity.TaPersonBuilding;
import com.huiju.estateagents.entity.TaSalesBatch;

import java.util.List;

/**
 * <p>
 * 销售批次表  服务类
 * </p>
 *
 * @author jobob
 * @since 2020-02-10
 */
public interface ITaSalesBatchService extends IService<TaSalesBatch> {
    IPage<TaSalesBatch> selectByCondition(IPage<TaSalesBatch> page, String salesBatchName, String buildingId, Integer status, Integer orgId, List<TaPersonBuilding> taPersonBuildingListByUserId);

    ResponseBean delSalesBatchList(Integer orgId, List<TaSalesBatch> taSalesBatchList);

    /**
     * 获取通知信息
     *
     * @param salesBatchId 销售批次ID
     * @return
     */
    ResponseBean getNoticeInfo(Integer salesBatchId);

    /**
     * 获取销售批次详情
     *
     * @param salesBatchId
     * @return
     */
    ResponseBean getSalesBatchById(Integer salesBatchId);

    /**
     *
     * @param salesBatchId
     * @param orgId
     * @return
     */
    ResponseBean getBuildingById(String salesBatchId,Integer orgId);
}
